#!/bin/sh
trunk=../..
fawk=$trunk/fawk/fawk

for lang in fawk fbas fpas
do
	for n in `ls *.$lang 2>/dev/null`
	do
		base=${n%%.$lang}
		if test -f $base.ref
		then
			$fawk -W$lang $n > $base.out
			diff=`diff -u $base.ref $base.out`
			if test ! -z "$diff"
			then
				broken="$broken $n"
				echo "$diff" > $base.diff
			else
				rm $base.out $base.diff 2>/dev/null
			fi
		fi
	done
done

if test ! -z "$broken"
then
	echo "broken: $broken"
	exit 1
fi

exit 0
